c
c event header common
c
c i_event       true event number (counting event records read)
c evt_rnum      run number
c i_burst       burst number in run   (first is 1)
c i_evt_inrun   event number in run   (first is 0)
c i_evt_inburst event number in burst (first is 0)
c evt_time      Unix binary time of event. Use ctimef to decode it
c lpat_1(i)     i=1,16   bits of pattern unit 1 
c lpat_2(i)     i=1,16   bits of pattern unit 2
c lpat_3(i)     i=1,16   bits of pattern unit 3 
c lpat_4(i)     i=1,16   bits of pattern unit 4
c
c i_trigcnt(i)  i=1,64   number of events in run that have each 
c                        of above pattern unit bits turned on. 
c mwpc_signal_hit_count     number of events with signal in ANY wire 
c                           of any beam chamber
c mwpc_signal_xhit_count(i) i=1-5 number of events with x-signal in mwpc #i
c mwpc_signal_yhit_count(i) i=1-5 number of events with y-signal in mwpc #i
c
c lpat_4(3)   random trigger
c lpat_1(15)  pi/e trigger
c
c i_scaler(12)  scaler words (from aug01 onwards)
c               1 time (micro sec) since last event
c               2 number of pretriggers during that time
c               3 number of W triggers during that time
c               4-12 not used
c
      integer i_event
      integer evt_rnum
      integer i_burst
      integer i_evt_inrun
      integer i_evt_inburst
      integer evt_time
      logical lpat_1(16)
      logical lpat_2(16)
      logical lpat_3(16)
      logical lpat_4(16)
      integer ibittot
      parameter (ibittot=64)
      integer i_trigcnt(ibittot)
      integer mwpc_signal_hit_count
      integer mwpc_signal_xhit_count(5)
      integer mwpc_signal_yhit_count(5)
      integer i_scaler(12)
c
      common /sssevt/ i_event,
     +                evt_rnum,
     +                i_burst,
     +                i_evt_inrun,
     +                i_evt_inburst,
     +                evt_time,
     +                lpat_1,
     +                lpat_2,
     +                lpat_3,
     +                lpat_4,
     +                i_trigcnt,
     +                mwpc_signal_hit_count,
     +                mwpc_signal_xhit_count, 
     +                mwpc_signal_yhit_count,
     +                i_scaler
c







