      subroutine hec_online_getnevt
c
c get the maximum number of events to process
c
c
      implicit none
c
c datacard common
c
      include'hec_par.inc'      !shared parameters
      include'hec_datacard.inc'  ! datacard values
c
c local variables
c
      logical tryagain
      integer nevt, ios
c
c query keyboard for run number to analyze
c
      tryagain = .true.
      do while (tryagain) 
        print *,' '
        print *, 
     +  ' *** enter the max number of events to process'
        read(5,*,IOSTAT=ios) nevt
        if (ios .eq. 0) then 
          if (nevt .gt. 0) tryagain = .false.
        else
          print *, 
     +    ' *** Error reading max number of events from keyboard'
        endif
      enddo
c
      print *, ' *** you have chosen ', nevt
      print *, '  '
c
c overwrite datacard
c
      n_evtmax = nevt
c
      return
      end



